Package frc.robot.subsystems.swervedrive.swerve

## Enum SwerveMotor.ModuleMotorType

- java.lang.Object
- - java.lang.Enum<SwerveMotor.ModuleMotorType>
  - - frc.robot.subsystems.swervedrive.swerve.SwerveMotor.ModuleMotorType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SwerveMotor.ModuleMotorType>`
  Enclosing class:
    SwerveMotor

      public static enum SwerveMotor.ModuleMotorType
      extends java.lang.Enum<SwerveMotor.ModuleMotorType>

  Motor type for the swerve drive module

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DRIVE` |
    `TURNING` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `private` | `ModuleMotorType()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SwerveMotor.ModuleMotorType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SwerveMotor.ModuleMotorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DRIVE

          public static final SwerveMotor.ModuleMotorType DRIVE

    - #### TURNING

          public static final SwerveMotor.ModuleMotorType TURNING

  - ### Constructor Detail

    - #### ModuleMotorType

          private ModuleMotorType()

  - ### Method Detail

    - #### values

          public static SwerveMotor.ModuleMotorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SwerveMotor.ModuleMotorType c : SwerveMotor.ModuleMotorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SwerveMotor.ModuleMotorType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null